// Gaz sensörü pinlerinin tanımlanması
const int analogPin = A0; // AO pin
const int digitalPin = 2; // D0 pin (isteğe bağlı)

// Gaz sensörü değeri
int sensorValue = 0;

void setup() {
  Serial.begin(9600); // Seri haberleşme başlatılıyor
  pinMode(digitalPin, INPUT); // Dijital pin giriş olarak ayarlanıyor (isteğe bağlı)
}

void loop() {
  // Analog değeri oku
  sensorValue = analogRead(analogPin);
  
  // Gaz sensöründen gelen analog değeri seri monitöre yazdır
  Serial.print("Analog Değer: ");
  Serial.println(sensorValue);
  
  // İsteğe bağlı: Dijital pinde gaz algılandığında uyarı ver
  if(digitalPin > 0 && digitalRead(digitalPin) == LOW) {
    Serial.println("Gaz Algılandı!");
  }

  delay(1000); // 1 saniye bekle
}
